<?php

namespace App\Sms\Service;

use App\Sms\Message\SendSmsMessage;
use Symfony\Component\Messenger\Attribute\AsMessageHandler;

#[AsMessageHandler]
class SendSmsHandler
{
    public function __construct(private readonly SmsService $smsService) {}

    public function __invoke(SendSmsMessage $message): void
    {
        $this->smsService->sendNow($message);
    }
}
